- Qt 6.4
- Qt WebEngine
- QML Types
- QuotaRequest
- Qt 6.4.3 Reference Documentation

# QuotaRequest QML Type

A utility type for the WebEngineView::quotaRequested() signal. More...

Import Statement: | import QtWebEngine
Since: | QtWebEngine 1.7

- List of all members, including inherited members

## Properties

- origin : url
- requestedSize : qint64

## Methods

- void accept()
- void reject()

## Detailed Description

See also WebEngineView::quotaRequested().

## Property Documentation

[read-only] origin : url

The URL of the web page that issued the quota request.

[read-only] requestedSize : qint64

Contains the size of the requested disk space in bytes.

## Method Documentation

void accept()

Accepts the quota request.

     WebEngineView {
         onQuotaRequested: function(request) {
             if (request.requestedSize <= 5 * 1024 * 1024)
                 request.accept();
             else
                 request.reject();
         }
     }

void reject()

Rejects the quota request.